> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/3.-uzklausa-gauti-palydovinius-vaizdus.md).

# 3. Užklausa: gauti palydovinius vaizdus

Gaukite „SatelliteImages“ su nustatytu debesų slenksčiu „Field“.

Patarimai:&#x20;

* Skaityti visas „Farms“, prieinamas „User“ - pašalinti *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Panašus darbas su „Fields“, „SatelliteImages“, „VectorAnalysisMap“.
* Leidžiama `geoMapType` filtruoti su priimtinais reikšmėmis: `VISI`, `ORIGIN`, `CROPPED`, `RAW`, `APDOROTA`, `MINIATIŪRA`, `KONTRASTAS`
* Leidžiami su datomis susiję filtrai: `prieš` ir `po` kurie priklauso [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) formatas. Galima naudoti tik vieną iš filtrų. Daugiau informacijos yra [ČIA](/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/37.-uzklausa-gauti-palydovinius-vaizdus-apibreztame-intervale.md).
* Leidžiama `provider` filtruoti su priimtinais reikšmėmis: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Leidžiama `slenkstis` filtras paryškina debesuotumą: „1“ reiškia be debesų, „0“ - visiškai debesuota.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    pavadinimas
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      pavadinimas
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoŽemėlapiai {
          trumpasPavadinimas
          url
          klasės
          hexSpalvųKodai
        }
        ndviAverage
        
        statistika {
          indeksas
          min
          max
          avg
          mdn
          var
          std
        }
        
        rekomenduojamaDaugiameteiAnalitikai 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
užklausa GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      pavadinimas
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoŽemėlapiai {
          trumpasPavadinimas
          url
          klasės
          hexSpalvųKodai
        }
        ndviAverage
        
        statistika {
          indeksas
          min
          max
          avg
          mdn
          var
          std
        } 
        
        rekomenduojamaDaugiameteiAnalitikai
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/3.-uzklausa-gauti-palydovinius-vaizdus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
